package com.bytedance.apm.agent.logging;

import com.bytedance.covode.number.Covode;

public class AndroidAgentLog implements AgentLog {
    public int level = 3;

    static {
        Covode.recordClassIndex(23081);
    }

    public void audit(String str) {
    }

    public void debug(String str) {
    }

    public void error(String str) {
    }

    public void error(String str, Throwable th) {
    }

    public void info(String str) {
    }

    public void verbose(String str) {
    }

    public void warning(String str) {
    }

    public int getLevel() {
        return this.level;
    }

    public void setLevel(int i) {
        if (i > 6 || i <= 0) {
            throw new IllegalArgumentException("Log level is not between ERROR and AUDIT");
        }
        this.level = i;
    }
}
